/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.monitor;

import org.jboss.system.ServiceMBean;

import javax.management.ObjectName;

/**
 * Comment
 *
 * @author <a href="mailto:bill@jboss.org">Bill Burke</a>
 * @version $Revision: 1.2 $
 *
 **/
public interface ThresholdMonitorMBean extends JBossMonitorMBean
{
   public int getCompareTo();
   public void setCompareTo(int compare);

   /**
    * real actual numeric threshold value
    * @return
    */
   public Number getThresholdValue();
}
